#ifndef CCONFIGURATION_HPP
#define CCONFIGURATION_HPP

#include "nlohmann/json_fwd.hpp"
#include <filesystem>
namespace CosmicCore {
    class CModuleConfig{
        private:
            std::filesystem::path modulesDirectory;
        public:
            std::filesystem::path getModulesDirectory(){return modulesDirectory;};
            void parse(nlohmann::json& jsonModule);
    };

    class CConfiguration
    {
        public:
            static CModuleConfig moduleConfiguration;
            static void init(std::filesystem::path configFilePath = "engineConfiguration.json");
    };
}
#endif